package cn.palmte.work.service.token.redis;

/**
 * 基于redis的验证码管理器
 * @author xiongshiyan at 2018/10/8 , contact me with email yanshixiong@126.com or phone 15208384257
 */
/*public class RedisCaptchaManager extends AbstractRedisCaptchaManager<Manager> {
    private static final String REDIS_PREFIX = "captcha:";
    private CaptchaCodeService captchaCodeService;

    public void setCaptchaCodeService(CaptchaCodeService captchaCodeService) {
        this.captchaCodeService = captchaCodeService;
    }

    @Override
    public byte[] generateCodeImage(int width, int height, String code) throws IOException {
        return captchaCodeService.generateCodeImage(width, height, code);
    }

    @Override
    public String generateCode(int numbers) {
        return captchaCodeService.generateCode(numbers);
    }

    @Override
    protected String key(Manager member){
        return REDIS_PREFIX + member.getUserName();
    }
}*/
